## ngcp-rtpengine 8.3.0.0+3

=== daemon/Makefile ===
TARGET=		rtpengine

with_iptables_option ?= yes
with_transcoding ?= yes

# look for bcg729
# system pkg-config
ifeq ($(shell pkg-config --exists libbcg729 && echo yes),yes)
have_bcg729 := yes
bcg729_inc := $(shell pkg-config --cflags libbcg729)
bcg729_lib := $(shell pkg-config --libs libbcg729)
else
# system generic
ifneq (,$(wildcard /usr/include/bcg729/decoder.h))
have_bcg729 := yes
else
# /usr/src
ifneq (,$(wildcard /usr/src/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I/usr/src/bcg729/include/
bcg729_lib := -L/usr/src/bcg729/src/ -lbcg729
else
# rfuchs dev
ifneq (,$(wildcard $(HOME)/src/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I$(HOME)/src/bcg729/include/
bcg729_lib := -L$(HOME)/src/bcg729/src/ -lbcg729
else
# home directory
ifneq (,$(wildcard $(HOME)/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I$(HOME)/bcg729/include/
bcg729_lib := -L$(HOME)/bcg729/src/ -lbcg729
else
# included toplevel
ifneq (,$(wildcard ../bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I../bcg729/include/
bcg729_lib := -L../bcg729/src/ -lbcg729
else
# /usr/local/include when installing from git
ifneq (,$(wildcard /usr/local/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I/usr/local/include/
bcg729_lib := -L/usr/local/lib64/ -lbcg729
endif
endif
endif
endif
endif
endif
endif

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -fno-strict-aliasing
CFLAGS+=	-std=c99
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags zlib)
CFLAGS+=	$(shell pkg-config --cflags openssl)
CFLAGS+=	$(shell pkg-config --cflags libevent_pthreads)
CFLAGS+=	$(shell pkg-config --cflags libpcre)
CFLAGS+=	$(shell pkg-config xmlrpc_client --cflags 2> /dev/null || xmlrpc-c-config client --cflags)
CFLAGS+=	$(shell pkg-config xmlrpc --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config xmlrpc_util --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config --cflags json-glib-1.0)
ifeq ($(with_iptables_option),yes)
CFLAGS+=	$(shell pkg-config --cflags libiptc)
CFLAGS+=	-DWITH_IPTABLES_OPTION
endif
CFLAGS+=	-I. -I../kernel-module/ -I../lib/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell pkg-config --cflags spandsp)
CFLAGS+=	-DWITH_TRANSCODING
ifeq ($(have_bcg729),yes)
CFLAGS+=	-DHAVE_BCG729
CFLAGS+=	$(bcg729_inc)
endif
CFLAGS+=        $(shell mysql_config --cflags)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

CFLAGS+=	-DRE_PLUGIN_DIR="\"/usr/lib/rtpengine\""

### compile time options:
#CFLAGS+=	-DSRTCP_KEY_DERIVATION_RFC_COMPLIANCE
#CFLAGS+=	-DTERMINATE_SDP_AT_BLANK_LINE
#CFLAGS+=	-DSTRICT_SDES_KEY_LIFETIME

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs zlib)
LDLIBS+=	$(shell pkg-config --libs libpcre)
LDLIBS+=	$(shell pkg-config --libs libcrypto)
LDLIBS+=	$(shell pkg-config --libs openssl)
LDLIBS+=	$(shell pkg-config --libs libevent_pthreads)
LDLIBS+=	-lpcap
LDLIBS+=	$(shell pkg-config xmlrpc_client --libs 2> /dev/null || xmlrpc-c-config client --libs)
LDLIBS+=	$(shell pkg-config xmlrpc --libs 2> /dev/null)
LDLIBS+=	$(shell pkg-config xmlrpc_util --libs 2> /dev/null)
LDLIBS+=	-lhiredis
LDLIBS+=	$(shell pkg-config --libs json-glib-1.0)
ifeq ($(with_iptables_option),yes)
LDLIBS+=	$(shell pkg-config --libs libiptc)
endif
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell pkg-config --libs spandsp)
ifeq ($(have_bcg729),yes)
LDLIBS+=	$(bcg729_lib)
endif
LDLIBS+=        $(shell mysql_config --libs)
endif

SRCS=		main.c kernel.c poller.c aux.c control_tcp.c call.c control_udp.c redis.c \
		bencode.c cookie_cache.c udp_listener.c control_ng.strhash.c sdp.strhash.c stun.c rtcp.c \
		crypto.c rtp.c call_interfaces.strhash.c dtls.c log.c cli.c graphite.c ice.c \
		media_socket.c homer.c recording.c statistics.c cdr.c ssrc.c iptables.c tcp_listener.c \
		codec.c load.c dtmf.c timerthread.c media_player.c
LIBSRCS=	loglib.c auxlib.c rtplib.c str.c socket.c streambuf.c ssllib.c dtmflib.c
ifeq ($(with_transcoding),yes)
LIBSRCS+=	codeclib.c resample.c
endif
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o)

PODS=		rtpengine.pod
MANS=		$(PODS:.pod=.8)

include ../lib/common.Makefile

ifeq ($(with_transcoding),yes)
.depend:	dtmf_rx_fillin.h
endif

include		.depend

=== recording-daemon/Makefile ===
TARGET=		rtpengine-recording

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -I. -I../lib/ -I../kernel-module/
CFLAGS+=	-std=c99 -fno-strict-aliasing
CFLAGS+=	-D_GNU_SOURCE -D_POSIX_SOURCE -D_POSIX_C_SOURCE
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell mysql_config --cflags)
CFLAGS+=	$(shell pkg-config --cflags openssl)

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell mysql_config --libs)
LDLIBS+=	$(shell pkg-config --libs openssl)

SRCS=		epoll.c garbage.c inotify.c main.c metafile.c stream.c recaux.c packet.c \
		decoder.c output.c mix.c db.c log.c forward.c tag.c poller.c
LIBSRCS=	loglib.c auxlib.c rtplib.c codeclib.c resample.c str.c socket.c streambuf.c ssllib.c \
		dtmflib.c
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o)

include ../lib/common.Makefile

include		.depend

=== t/Makefile ===
TARGET=		all-tests

with_transcoding ?= yes

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -fno-strict-aliasing
CFLAGS+=	-std=c99
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags openssl)
CFLAGS+=	-I. -I../lib/ -I../kernel-module/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
CFLAGS+=	$(shell pkg-config --cflags libpcre)
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell pkg-config --cflags spandsp)
CFLAGS+=	-DWITH_TRANSCODING
CFLAGS+=	$(shell pkg-config --cflags zlib)
CFLAGS+=	$(shell pkg-config --cflags json-glib-1.0)
CFLAGS+=	$(shell pkg-config --cflags libevent_pthreads)
CFLAGS+=	$(shell pkg-config xmlrpc_client --cflags 2> /dev/null || xmlrpc-c-config client --cflags)
CFLAGS+=	$(shell pkg-config xmlrpc --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config xmlrpc_util --cflags 2> /dev/null)
ifeq ($(with_amr_tests),yes)
CFLAGS+=	-DWITH_AMR_TESTS
endif
CFLAGS+=	$(shell mysql_config --cflags)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs libcrypto)
LDLIBS+=	$(shell pkg-config --libs openssl)
LDLIBS+=	$(shell pkg-config --libs libpcre)
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell pkg-config --libs spandsp)
LDLIBS+=	$(shell pkg-config --libs zlib)
LDLIBS+=	$(shell pkg-config --libs json-glib-1.0)
LDLIBS+=	-lpcap
LDLIBS+=	$(shell pkg-config --libs libevent_pthreads)
LDLIBS+=	$(shell pkg-config xmlrpc_client --libs 2> /dev/null || xmlrpc-c-config client --libs)
LDLIBS+=	$(shell pkg-config xmlrpc --libs 2> /dev/null)
LDLIBS+=	$(shell pkg-config xmlrpc_util --libs 2> /dev/null)
LDLIBS+=	-lhiredis
LDLIBS+=	$(shell mysql_config --libs)
endif

SRCS=		bitstr-test.c aes-crypt.c const_str_hash-test.strhash.c
LIBSRCS=	loglib.c auxlib.c str.c rtplib.c
DAEMONSRCS=	crypto.c ssrc.c aux.c rtp.c
HASHSRCS=

ifeq ($(with_transcoding),yes)
SRCS+=		transcode-test.c test-dtmf-detect.c payload-tracker-test.c
ifeq ($(with_amr_tests),yes)
SRCS+=		amr-decode-test.c amr-encode-test.c
endif
LIBSRCS+=	codeclib.c resample.c socket.c streambuf.c dtmflib.c
DAEMONSRCS+=	codec.c call.c ice.c kernel.c media_socket.c stun.c bencode.c poller.c \
		dtls.c recording.c statistics.c rtcp.c redis.c iptables.c graphite.c \
		cookie_cache.c udp_listener.c homer.c load.c cdr.c dtmf.c timerthread.c \
		media_player.c
HASHSRCS+=	call_interfaces.c control_ng.c sdp.c
endif

OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(DAEMONSRCS:.c=.o) $(HASHSRCS:.c=.strhash.o)

COMMONOBJS=	str.o auxlib.o rtplib.o loglib.o

include ../lib/common.Makefile

include		.depend

.PHONY:		all-tests unit-tests daemon-tests

TESTS=		bitstr-test aes-crypt const_str_hash-test.strhash
ifeq ($(with_transcoding),yes)
TESTS+=		transcode-test test-dtmf-detect payload-tracker-test
ifeq ($(with_amr_tests),yes)
TESTS+=		amr-decode-test amr-encode-test
endif
endif

ADD_CLEAN=	tests-preload.so $(TESTS)

ifeq ($(with_transcoding),yes)
all-tests:	unit-tests daemon-tests
else
all-tests:	unit-tests
endif
	true # override linking recipe from common.Makefile

unit-tests:	$(TESTS)
	for x in $(TESTS); do echo testing: $$x; G_DEBUG=fatal-warnings ./$$x || exit 1; done

daemon-tests:	tests-preload.so
	$(MAKE) -C ../daemon
	rm -rf fake-sockets
	mkdir fake-sockets
	LD_PRELOAD=../t/tests-preload.so RTPE_BIN=../daemon/rtpengine TEST_SOCKET_PATH=./fake-sockets \
		   perl -I../perl auto-daemon-tests.pl
	test "$$(ls fake-sockets)" = ""
	rmdir fake-sockets

bitstr-test:	bitstr-test.o

amr-decode-test: amr-decode-test.o $(COMMONOBJS) codeclib.o resample.o dtmflib.o

amr-encode-test: amr-encode-test.o $(COMMONOBJS) codeclib.o resample.o dtmflib.o

test-dtmf-detect: test-dtmf-detect.o

aes-crypt:	aes-crypt.o $(COMMONOBJS) crypto.o

transcode-test:	transcode-test.o $(COMMONOBJS) codeclib.o resample.o codec.o ssrc.o call.o ice.o aux.o \
	kernel.o media_socket.o stun.o bencode.o socket.o poller.o dtls.o recording.o statistics.o \
	rtcp.o redis.o iptables.o graphite.o call_interfaces.strhash.o sdp.strhash.o rtp.o crypto.o \
	control_ng.strhash.o \
	streambuf.o cookie_cache.o udp_listener.o homer.o load.o cdr.o dtmf.o timerthread.o \
	media_player.o dtmflib.o

payload-tracker-test: payload-tracker-test.o $(COMMONOBJS) ssrc.o aux.o auxlib.o rtp.o crypto.o codeclib.o \
	resample.o dtmflib.o

const_str_hash-test.strhash: const_str_hash-test.strhash.o $(COMMONOBJS)

tests-preload.so:	tests-preload.c
	$(CC) -g -D_GNU_SOURCE -std=c99 -o $@ -Wall -shared -fPIC $<

ifeq ($(with_transcoding),yes)
.depend: dtmf_rx_fillin.h
endif

=== debian/changelog ===
ngcp-rtpengine (8.3.0.0+3) bionic; urgency=medium

  * Fixed build dependencies

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 10:57:47 +0000

ngcp-rtpengine (8.3.0.0+2) bionic; urgency=medium

  * Remove dependency on recent libav codecs

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 09:44:27 +0000

ngcp-rtpengine (8.3.0.0+1) bionic; urgency=medium

  * Remove incompatible installation parameter

 -- Thomas Lobker <thomas@mediaserve.nl>  Fri, 07 Feb 2020 08:18:37 +0000

ngcp-rtpengine (8.3.0.0+0~mr8.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [d1e3dc0] byte-swap homer ID as required
  * [64e56d7] TT#73401 handle changes in RTP payload types
  * [1c72636] TT#73401 remove useless assertion
  * [9e05578] wrap-and-sort -ast
  * [6d22af9] TT#73900 ignore stray RTCP packets when confirming peer addresses
  * [f23aa26] TT#74050 add support for `unidirectional` flag to test script
  * [2a2e3f3] TT#74050 handle sinks with null addresses correctly
  * [5ac0756] TT#74300 run indent over cli_incoming_list_callid
  * [c3f5282] TT#74300 adapt CLI output to match log output for call stats
  * [08cdb4c] TT#74300 split intro for call-id CLI output

  [ Sebastian Damm ]
  * [8d7a77d] debian/control: add libconfig-tiny-perl dependency

  [ Daniel-Constantin Mierla ]
  * [5b0bee7] use pkg-config to detect xtables library for iptables-extension

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:25:42 +0100

ngcp-rtpengine (8.2.0.0+0~mr8.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [7fbaf0a] TT#61954 Set debhelper compat level also for ngcp-rtpengine-kernel-source package

  [ Richard Fuchs ]
  * [228d822] TT#68100 set iLBC encoder and decoder options
  * [ab77ed5] TT#64601 refuse overriding crypto params from SDES when DTLS is in use
  * [77087b9] don't try to save untagged streams to db
  * [8bdeb2d] TT#69701 fix incorrect address used for raddr/rport
  * [7a28b97] TT#69700 don't compensate for TS gaps with a 1-second delay
  * [8714914] TT#69700 reduce max allowed delay to half a second
  * [1ec8276] TT#69700 handle gaps in RTP TS correctly for mix output
  * [e0dd674] TT#71050 fix branch deletion from via-branch
  * [bc3d4f7] compile fix for glib versions < 2.30

  [ Guillem Jover ]
  * [7b77fb6] TT#51701 Switch from deprecated /var/run to /run

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:59:03 +0100

ngcp-rtpengine (8.1.0.0+0~mr8.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [3fb5bef] TT#64301 log xmlrpc children to stderr
  * [25c84bb] TT#65000 fix kernel module compilation for 5.2 kernels
  * [ef20e02] TT#64259 split up codec handlers function
  * [fd16bf5] TT#64259 make DTMF detection switch explicit
  * [35740cd] TT#64259 add function to inject DTMF events
  * [68d909c] TT#64259 add functions to skip decoded samples and return encoder PTS
  * [49f6a88] TT#64259 add function to convert DTMF codes and chars
  * [b14f3b2] TT#64259 support injecting DTMF tones and events
  * [8ffc13d] TT#65100 properly cleanup redis async context
  * [bfc9799] TT#65100 don't start a redis notification context/thread when not in use
  * [3466700] TT#65800 fix SDES negotiation bug
  * [a6b4137] fix test suites for different implementations of base64 encoding
  * [22ea251] don't skip address family selection when zero port is present
  * [7b60ca8] ignore untagged/wildcard/unknown MLs in delete with via-branch
  * [65fb99b] TT#66650 fix some SSRC refcount leaks
  * [068bdb2] TT#65052 support adding pause after DTMF PCM
  * [3bf3982] TT#65052 support queuing up multiple DTMF events
  * [4d99ba8] add missing header
  * [6431cde] TT#64601 fix some compiler warnings

  [ Guillem Jover ]
  * [781b275] TT#65100 Fix double free for redis context on closure

  [ spchan ]
  * [290afbb] RPM packaging: detect systemd directories and package unit files
  * [c147556] EL8: mariadb-devel conflicts with mysql-devel
  * [487004f] EL7,8: no such package iptables-ipv6

  [ Denys ]
  * [3905a31] Update rtpengine.spec

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:12:35 +0200

ngcp-rtpengine (8.0.0.0+0~mr8.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [3845a43] change localhost to 127.0.0.1 to avoid resolv problems
  * [290477d] fix unit test after 8fb603e5
  * [2397723] TT#61050 detect to-tag changes via via-branch
  * [79fb320] add missing header include
  * [3b6f098] TT#61850 normalize `address:port` log printing
  * [a2e0dd6] TT#62300 kernelise stream even if address doesn't match if possible
  * [10bd041] refuse startup when spool-dir and output-dir are the same
  * [24d67d0] fix mem allocation bug resulting in mem corruption during redis restore
  * [1653f32] don't free redis event base while being used
  * [c8338a4] TT#64050 add `G729a` as an incorrect alternative to `G729`
  * [344b3b9] TT#64300 don't attempt to transcode to an unsupported codec

  [ Huseyin Dikme ]
  * [a4af447] add missing errno include

  [ Razvan Crainea ]
  * [8fb603e] dtmf: prevent freeing json buf too early

  [ Guillem Jover ]
  * [fea0206] TT#61954 Update copyright years
  * [55faffd] TT#61954 Do not pass --no-enable and --no-start to sysvinit and systemd helpers
  * [2868fc6] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat

  [ Alex Balashov ]
  * [0a1c20a] README: Added call recording section and cautionary note about using same directory for spool dir and output / recording dir
  * [9e79a12] Updated README with link to issue #81.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 21:00:14 +0200

ngcp-rtpengine (7.5.0.0+0~mr7.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [a4cca5f] fix compilation for glib >= 2.60
  * [77e31f1] fix race condition after media player shutdown
  * [985cd44] fix possible segfault after failed port alloc w/ iptables option


=== debian/control ===
Source: ngcp-rtpengine
Section: net
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 3.9.8
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 gperf,
 iptables-dev (>= 1.4),
 libavcodec-dev (>= 6:10),
 libavfilter-dev (>= 6:10),
 libavformat-dev (>= 6:10),
 libavutil-dev (>= 6:10),
 libbcg729-dev <!pkg.ngcp-rtpengine.nobcg729>,
 libbencode-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-rijndael-perl,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libdigest-crc-perl,
 libdigest-hmac-perl,
 libevent-dev (>= 2.0),
 libglib2.0-dev (>= 2.30),
 libhiredis-dev,
 libio-multiplex-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libiptc-dev,
 libjson-glib-dev,
 libnet-interface-perl,
 libpcap0.8-dev,
 libpcre3-dev,
 libsocket6-perl,
 libspandsp-dev,
 libssl-dev (>= 1.0.1),
 libswresample-dev (>= 6:10),
 libsystemd-dev,
 libxmlrpc-core-c3-dev (>= 1.16.07),
 markdown,
 zlib1g-dev,

Package: ngcp-rtpengine-daemon
Architecture: any
Recommends:
 ngcp-rtpengine-recording-daemon,
 ngcp-rtpengine-utils,
Suggests:
 ngcp-system-tools,
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-mediaproxy-ng-daemon,
 ngcp-rtpengine-redis1,
Replaces:
 ngcp-mediaproxy-ng-daemon,
 ngcp-rtpengine-redis1,
Description: proxy for RTP and media streams used in NGCP, userspace part
 This daemon handles the first stages of proxying media streams and talks to
 the kernel part of the proxy for eventual high-performance packet forwarding.

Package: ngcp-rtpengine-recording-daemon
Architecture: any
Recommends:
 ngcp-rtpengine-utils,
Suggests:
 ngcp-system-tools,
Depends:
 lsb-base (>= 3.0-6),
 nfs-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: recording daemon for RTP and media streams
 This daemon handles the call recording (media intercept) component of rtpengine.

Package: ngcp-rtpengine-iptables
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-mediaproxy-ng-iptables,
Replaces:
 ngcp-mediaproxy-ng-iptables,
Description: IPtables extension module for the kernel-space NGCP media proxy
 Provides the IPtables extension needed to configure the mediaproxy rule.

Package: ngcp-rtpengine
Architecture: all
Depends:
 ngcp-rtpengine-daemon (>= ${source:Version}),
 ngcp-rtpengine-iptables (>= ${source:Version}),
 ngcp-rtpengine-kernel-dkms (>= ${source:Version}),
 ngcp-rtpengine-recording-daemon (>= ${source:Version}),
 ngcp-rtpengine-utils (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng,
Replaces:
 ngcp-mediaproxy-ng,
Description: NGCP RTP/media proxy - meta package
 This is a meta package for easy installation of all four parts of the NGCP
 media proxy. It will install the user-space daemon, the kernel-space IPtables
 module, the IPtables extension module and utility scripts.

Package: ngcp-rtpengine-kernel-source
Architecture: all
Section: kernel
Depends:
 debhelper-compat (= 12),
 module-assistant,
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng-kernel-source,
Replaces:
 ngcp-mediaproxy-ng-kernel-source,
Description: IPtables kernel module for the NGCP media proxy - source
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with module-assistant or
 kernel-package.

Package: ngcp-rtpengine-kernel-dkms
Architecture: all
Section: kernel
Suggests:
 ngcp-system-tools,
Depends:
 dkms (>= 1.95),
 lsb-release,
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng-kernel-dkms,
Replaces:
 ngcp-mediaproxy-ng-kernel-dkms,
Description: IPtables kernel module for the NGCP media proxy - DKMS
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with dkms.

Package: ngcp-rtpengine-utils
Architecture: all
Depends:
 libbencode-perl,
 libconfig-tiny-perl,
 libcrypt-rijndael-perl,
 libdigest-hmac-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libsocket6-perl,
 netcat-openbsd | netcat,
 ${misc:Depends},
 ${perl:Depends},
Description: scripts and Perl modules for NGCP rtpengine
 This package contains scripts and Perl modules for NGCP rtpengine

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

## kernel package specific stuff
# Name of the source package
psource:=ngcp-rtpengine-kernel-source
# Name of the dkms package
pdkms:=ngcp-rtpengine-kernel-dkms
# short upstream name, used for module source directory
sname:=ngcp-rtpengine
# Source version
sversion:=$(DEB_VERSION_UPSTREAM)

PACKAGE=ngcp-rtpengine-kernel
## end of kernel package specific stuff

XTABLES_DIR:=$(shell pkg-config xtables --variable=xtlibdir || echo /lib/xtables)

%:
	dh $@

override_dh_auto_install-indep:
	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(sname)/debian
	dh_installdirs -p$(pdkms)    usr/src/$(sname)-$(sversion)

	# Copy only the driver source to the proper locations
	cd kernel-module && cp Makefile *.c *.h ../debian/$(psource)/usr/src/modules/$(sname)
	cd kernel-module && cp Makefile *.c *.h ../debian/$(pdkms)/usr/src/$(sname)-$(sversion)

	# Copy the needed debian/ pieces to the proper location
	cp debian/*.modules.in* debian/$(psource)/usr/src/modules/$(sname)/debian
	cp debian/control debian/changelog debian/copyright \
		debian/$(psource)/usr/src/modules/$(sname)/debian/
	install -m 0755 debian/rules.modules debian/$(psource)/usr/src/modules/$(sname)/debian/rules
	cd debian/$(psource)/usr/src && tar c modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules

	# Prepare dkms.conf from the dkms.conf.in template
	sed "s/__VERSION__/$(sversion)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(sname)-$(sversion)/dkms.conf

	# markdown README
	markdown README.md | gzip -9 > debian/README.html.gz
	gzip -9 < README.md > debian/README.md.gz

	dh_auto_install

override_dh_install:
	dh_install
	dh_installdirs -pngcp-rtpengine-iptables $(XTABLES_DIR)
	install -m 0644 iptables-extension/libxt_RTPENGINE.so debian/ngcp-rtpengine-iptables/$(XTABLES_DIR)

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbgsym-migration='ngcp-rtpengine-dbg (<= 6.0.0.0+0~mr6.0.0.0)'

override_dh_dwz:
	# Disable, as dwz cannot cope with some of the plugins generated.

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -pngcp-rtpengine-recording-daemon --name=ngcp-rtpengine-recording-nfs-mount

## ngcp-rtpengine 14.0.1.1+0~mr14.0.1.1

=== t/Makefile ===
TARGET=		all-tests

export top_srcdir = ..

include ../lib/deps.Makefile

with_transcoding ?= yes

ifeq ($(origin CFLAGS),undefined)
CFLAGS?=	-g -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes -Werror=return-type \
		-Wshadow
else
CFLAGS:=	$(CFLAGS)
endif
PRELOAD_CFLAGS := $(CFLAGS)
CFLAGS+=	-pthread
CFLAGS+=	-std=c11
CFLAGS+=	-I. -I../lib/ -I../kernel-module/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
CFLAGS+=	$(CFLAGS_GLIB)
CFLAGS+=	$(CFLAGS_GTHREAD)
CFLAGS+=	$(CFLAGS_OPENSSL)
CFLAGS+=	$(CFLAGS_LIBPCRE)
CFLAGS+=	$(CFLAGS_LIBCURL)
CFLAGS+=	$(CFLAGS_JSON_GLIB)
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(CFLAGS_LIBAVCODEC)
CFLAGS+=	$(CFLAGS_LIBAVFORMAT)
CFLAGS+=	$(CFLAGS_LIBAVUTIL)
CFLAGS+=	$(CFLAGS_LIBSWRESAMPLE)
CFLAGS+=	$(CFLAGS_LIBAVFILTER)
CFLAGS+=	$(CFLAGS_SPANDSP)
CFLAGS+=	$(CFLAGS_OPUS)
CFLAGS+=	$(CFLAGS_LIBZ)
CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
CFLAGS+=	$(CFLAGS_LIBEVENT)
CFLAGS+=	-DWITH_TRANSCODING
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
CFLAGS+=	-DWITH_AMR_TESTS
endif
CFLAGS+=	$(CFLAGS_MYSQL)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

LDLIBS:=	-lm -ldl
LDLIBS+=	$(LDLIBS_GLIB)
LDLIBS+=	$(LDLIBS_GTHREAD)
LDLIBS+=	$(LDLIBS_LIBCRYPTO)
LDLIBS+=	$(LDLIBS_OPENSSL)
LDLIBS+=	$(LDLIBS_LIBPCRE)
LDLIBS+=	$(LDLIBS_LIBCURL)
LDLIBS+=	$(LDLIBS_JSON_GLIB)
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(LDLIBS_LIBAVCODEC)
LDLIBS+=	$(LDLIBS_LIBAVFORMAT)
LDLIBS+=	$(LDLIBS_LIBAVUTIL)
LDLIBS+=	$(LDLIBS_LIBSWRESAMPLE)
LDLIBS+=	$(LDLIBS_LIBAVFILTER)
LDLIBS+=	$(LDLIBS_SPANDSP)
LDLIBS+=	$(LDLIBS_OPUS)
LDLIBS+=	$(LDLIBS_LIBZ)
LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
LDLIBS+=	$(LDLIBS_LIBPCAP)
LDLIBS+=	$(LDLIBS_LIBEVENT)
LDLIBS+=	$(LDLIBS_LIBHIREDIS)
LDLIBS+=	$(LDLIBS_MYSQL)
endif

CFLAGS+=	$(CFLAGS_CODEC_CHAIN)
LDLIBS+=	$(LDLIBS_CODEC_CHAIN)

SRCS=		test-bitstr.c aes-crypt.c aead-aes-crypt.c test-const_str_hash.strhash.c aead-decrypt.c
LIBSRCS=	loglib.c auxlib.c str.c rtplib.c ssllib.c mix_buffer.c bufferpool.c bencode.c
DAEMONSRCS=	crypto.c ssrc.c helpers.c rtp.c cli.strhash.c

ifeq ($(with_transcoding),yes)
SRCS+=		test-transcode.c test-dtmf-detect.c test-payload-tracker.c test-resample.c test-stats.c
SRCS+=		spandsp_recv_fax_pcm.c spandsp_recv_fax_t38.c spandsp_send_fax_pcm.c \
		spandsp_send_fax_t38.c test-mix-buffer.c
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
SRCS+=		test-amr-decode.c test-amr-encode.c
endif
LIBSRCS+=	codeclib.strhash.c resample.c socket.c streambuf.c dtmflib.c poller.c
DAEMONSRCS+=	control_ng_flags_parser.c codec.c call.c ice.c kernel.c media_socket.c stun.c \
		dtls.c recording.c statistics.c rtcp.c redis.c iptables.c graphite.c \
		cookie_cache.c udp_listener.c homer.c load.c cdr.c dtmf.c timerthread.c \
		media_player.c jitter_buffer.c t38.c tcp_listener.c mqtt.c websocket.c \
		audio_player.c arena.c ng_client.c call_interfaces.strhash.c sdp.strhash.c \
		janus.strhash.c control_ng.strhash.c
LIBASM=		mvr2s_x64_avx2.S mvr2s_x64_avx512.S mix_in_x64_avx2.S mix_in_x64_avx512bw.S mix_in_x64_sse2.S
endif
ifneq ($(have_liburing),yes)
LIBSRCS+=	uring.c
endif

SRCS+=		s3-auth.c
LIBSRCS+=	s3utils.c

SRCS+=		kernel-extmap-filter.c

COMMONOBJS=	str.o auxlib.o rtplib.o loglib.o ssllib.o

include ../lib/common.Makefile

.PHONY:		all-tests unit-tests daemon-tests daemon-tests \
	daemon-tests-main daemon-tests-jb daemon-tests-dtx daemon-tests-dtx-cn daemon-tests-pubsub \
	daemon-tests-intfs daemon-tests-stats daemon-tests-delay-buffer daemon-tests-delay-timing \
	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-redis-json \
	daemon-tests-measure-rtp daemon-tests-mos-legacy daemon-tests-mos-fullband daemon-tests-config-file \
	daemon-tests-templ-def daemon-tests-templ-def-offer daemon-tests-t38 daemon-tests-evs-dtx \
	daemon-tests-transform daemon-tests-http daemon-tests-heuristic daemon-tests-asymmetric \
	daemon-tests-dtx-no-shift daemon-tests-rtcp daemon-tests-redis-subscribe daemon-tests-rtp-ext \
	daemon-tests-bundle daemon-tests-dtls

TESTS=		test-bitstr aes-crypt aead-aes-crypt test-const_str_hash.strhash
ifeq ($(with_transcoding),yes)
TESTS+=		test-transcode test-dtmf-detect test-payload-tracker test-resample test-stats test-mix-buffer
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
TESTS+=		test-amr-decode test-amr-encode
endif
endif
TESTS+=		s3-auth

ADD_CLEAN=	tests-preload.so time-fudge-preload.so $(TESTS) aead-decrypt
ADD_CLEAN+=	s3-auth

ifeq ($(with_transcoding),yes)
all-tests:	unit-tests daemon-tests
else
all-tests:	unit-tests
endif
	true # override linking recipe from common.Makefile

unit-tests:	$(TESTS) aead-decrypt kernel-extmap-filter
	failed="" ; \
	for x in $(TESTS); do \
	  echo `date +"%Y-%m-%d %H:%M:%S"` testing: $$x ; \
	  G_DEBUG=fatal-warnings ./$$x ; \
	  if [ $$? -eq 0 ] ; \
	    then echo `date +"%Y-%m-%d %H:%M:%S"` test $$x: succeeded ; \
	    else echo `date +"%Y-%m-%d %H:%M:%S"` test $$x: failed ; failed="$$failed $$x" ; \
	  fi ; \
	done ; \
	if [ -n "$$failed" ] ; then \
	  echo "Tests failed: $$failed" ; \
	  exit 1 ; \
	fi

daemon-tests: daemon-tests-main daemon-tests-jb daemon-tests-pubsub daemon-tests-websocket \
	daemon-tests-evs daemon-tests-async-tc \
	daemon-tests-audio-player daemon-tests-audio-player-play-media \
	daemon-tests-intfs daemon-tests-stats daemon-tests-player-cache daemon-tests-redis \
	daemon-tests-rtpp-flags daemon-tests-redis-json daemon-tests-measure-rtp daemon-tests-mos-legacy \
	daemon-tests-mos-fullband daemon-tests-config-file \
	daemon-tests-templ-def daemon-tests-templ-def-offer \
	daemon-tests-sdp-manipulations daemon-tests-sdes-manipulations \
	daemon-tests-sdp-orig-replacements daemon-tests-moh daemon-tests-evs-dtx daemon-tests-transform \
	daemon-tests-transcode-config daemon-tests-codec-prefs daemon-tests-http daemon-tests-heuristic \
	daemon-tests-asymmetric daemon-tests-rtcp daemon-tests-redis-subscribe daemon-tests-rtp-ext \
	daemon-tests-bundle daemon-tests-dtls

daemon-test-deps:	tests-preload.so
	$(MAKE) -C ../daemon

daemon-tests-main:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests.pl

daemon-tests-jb:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-jb.pl

daemon-tests-heuristic:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-heuristic.pl

daemon-tests-asymmetric:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-asymmetric.pl

daemon-tests-dtx:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx.pl

daemon-tests-dtx-no-shift:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx-no-shift.pl

daemon-tests-dtx-cn:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx-cn.pl

daemon-tests-pubsub:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-pubsub.pl

daemon-tests-transform:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-transform.pl

daemon-tests-transcode-config:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-transcode-config.pl

daemon-tests-stats:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-stats.pl

daemon-tests-websocket:	daemon-test-deps
	./auto-test-helper "$@" python3 auto-daemon-tests-websocket.py

daemon-tests-intfs:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-intfs.pl

daemon-tests-delay-buffer:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-delay-buffer.pl

daemon-tests-delay-timing:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-delay-timing.pl

daemon-tests-evs:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs.pl

daemon-tests-player-cache:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-player-cache.pl

daemon-tests-redis:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-redis.pl

daemon-tests-redis-subscribe:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-redis-subscribe.pl

daemon-tests-redis-json:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-redis-json.pl

daemon-tests-audio-player:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-audio-player.pl

daemon-tests-audio-player-play-media:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-audio-player-play-media.pl

daemon-tests-rtpp-flags:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtpp-flags.pl

daemon-tests-unknown-fmtp:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-unknown-fmtp.pl

daemon-tests-sdp-manipulations:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-sdp-manipulations.pl

daemon-tests-sdes-manipulations:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-sdes-manipulations.pl

daemon-tests-sdp-orig-replacements:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-sdp-orig-replacements.pl

daemon-tests-moh:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-moh.pl

daemon-tests-async-tc:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-async-tc.pl

daemon-tests-measure-rtp:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-measure-rtp.pl

daemon-tests-mos-legacy:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-mos-legacy.pl

daemon-tests-mos-fullband:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-mos-fullband.pl

daemon-tests-config-file:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-config-file.pl

daemon-tests-templ-def-offer:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-templ-def-offer.pl

daemon-tests-templ-def:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-templ-def.pl

daemon-tests-t38:	daemon-test-deps spandsp_recv_fax_pcm spandsp_recv_fax_t38 \
			spandsp_send_fax_pcm spandsp_send_fax_t38
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-t38.pl

daemon-tests-evs-dtx:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs-dtx.pl

daemon-tests-codec-prefs:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-codec-prefs.pl

daemon-tests-http:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-http.pl

daemon-tests-rtcp:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtcp.pl

daemon-tests-rtp-ext:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtp-ext.pl

daemon-tests-bundle:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-bundle.pl

daemon-tests-dtls:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtls.pl

test-bitstr:	test-bitstr.o

test-mix-buffer:	test-mix-buffer.o $(COMMONOBJS) mix_buffer.o ssrc.o rtp.o crypto.o helpers.o \
	mix_in_x64_avx2.o mix_in_x64_sse2.o mix_in_x64_avx512bw.o codeclib.strhash.o dtmflib.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o resample.o bufferpool.o uring.o poller.o bencode.o

spandsp_send_fax_pcm:	spandsp_send_fax_pcm.o

spandsp_recv_fax_pcm:	spandsp_recv_fax_pcm.o

spandsp_send_fax_t38:	spandsp_send_fax_t38.o

spandsp_recv_fax_t38:	spandsp_recv_fax_t38.o

spandsp_raw_fax_tests: spandsp_send_fax_pcm spandsp_recv_fax_pcm spandsp_send_fax_t38 spandsp_recv_fax_t38

test-amr-decode: test-amr-decode.o $(COMMONOBJS) codeclib.strhash.o resample.o dtmflib.o resample.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o bencode.o

test-amr-encode: test-amr-encode.o $(COMMONOBJS) codeclib.strhash.o resample.o dtmflib.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o bencode.o

test-dtmf-detect: test-dtmf-detect.o

aes-crypt:	aes-crypt.o $(COMMONOBJS) crypto.o bencode.o

aead-decrypt:	aead-decrypt.o $(COMMONOBJS) crypto.o rtp.o bencode.o

aead-aes-crypt:	aead-aes-crypt.o $(COMMONOBJS) crypto.o bencode.o

=== debian/changelog ===
ngcp-rtpengine (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:33:45 +0100

ngcp-rtpengine (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [2ded91d] MT#63317 split out basic flags and echo setting
  * [573adfa] MT#63317 split out siprec label setting
  * [c829ddc] MT#63317 split out media type setting
  * [5f3f0c5] MT#63317 split out protocol updates
  * [25cf086] MT#63317 split out setting of media ID
  * [4a1fca4] MT#63317 split out loop protect setting
  * [3f964a3] MT#63317 split out flags and crypto setting
  * [8ba6930] MT#63317 split out assignment of attributes
  * [e6df082] MT#63317 split out update of format string
  * [6930991] MT#63317 split out update of address family
  * [64c6e51] MT#63317 split out update of rec slot
  * [6c51c43] MT#63317 move setting of recrypt
  * [fa54abf] MT#63317 split out ptime setting
  * [65e591b] MT#63317 revamp SDP printing
  * [878d7d8] MT#63317 update return types to bool
  * [6a893b1] MT#63317 update return type to bool
  * [3540a83] MT#63317 annotate rtp_payload
  * [f4724b2] MT#63317 annotate rtp_padding
  * [eddff91] MT#63317 annotate rtcp_payload
  * [8795e92] MT#63317 refactor RTP parsing code
  * [1f9cd2e] MT#63317 rename rtp_extension to rtp_exthdr
  * [fc9cb21] MT#63317 store extmap entries in media object
  * [35bcdd5] MT#63317 keep extmap in tables
  * [4865e1f] MT#63317 support RTP extensions in tests
  * [6c5190a] MT#63317 add tests for RTP extensions
  * [2f52fb2] MT#63317 return RTP extensions from rtp_payload
  * [c525cb9] MT#63317 remove duplicate header parsing
  * [64d3c76] MT#63317 parse out RTP header extensions
  * [d5c1fa4] MT#63317 keep rtpext names in table
  * [f349cc7] MT#63317 use monologue-local extmap storage
  * [acb0e47] MT#63317 rename determine_sink_handler
  * [00e8c08] MT#63317 add handler lookup to test-transcode
  * [82f5158] MT#63317 add sink_handler_set_generic
  * [3de7902] MT#63317 add sink_handler to media_player
  * [42f7e40] MT#63317 support extmap-strip for SDP
  * [21d9f4f] MT#63317 add test for Iaa38fa3c
  * [b2721c5] MT#63317 update payload lengths to size_t
  * [b98e146] MT#63317 update marker flags to bool
  * [d3d1a55] MT#63317 support extensions in codec_output_rtp
  * [dba2386] MT#63317 support extmap-mask
  * [c7aec50] MT#63317 tests for Ib8ca6d4a
  * [1925ab9] MT#55283 use obj_release
  * [c216b51] MT#63317 parse out extensions
  * [d2cfc5e] MT#63317 move down sink setting
  * [4fbef39] MT#63317 add rtpext printing abstraction
  * [7e2bb7f] MT#63317 set DTMF payload string
  * [8828b17] MT#63317 introduce extmap_ops abstraction
  * [57bc6b1] MT#63317 abstract packet copy
  * [5c03188] MT#63317 abstract extmap printing
  * [e046eec] MT#63317 print extensions from list
  * [9ef7c87] MT#63317 print exts for forwarded packets
  * [f934f77] MT#63317 support long form extension printing
  * [02097e6] MT#63317 tests for Ib1f1d51d
  * [4577241] MT#63317 tests for ext too long
  * [af4ca41] MT#63317 support filtering of extensions
  * [a87889b] MT#63317 initial support for allow-mixed
  * [ab8c7a8] MT#63317 support sending mixed rtpext
  * [ced0b9f] MT#63317 tests for Ic504cfd9d
  * [1713385] MT#63317 add test for full strip
  * [1b05cb0] MT#63317 support ext filter in kernel
  * [e021d77] MT#55283 fix old gcc error
  * [29886ae] MT#55283 fix old gcc error p2
  * [bce8793] MT#63317 fix seq print formatting
  * [61103a2] MT#63317 remove unused struct member
  * [de6e8e3] MT#55283 use embedded array
  * [176a834] MT#55283 carry over PT flags with reuse
  * [e9c03c9] MT#55283 test for I19a4ae523f
  * [ff5abd4] MT#55283 fix possible tcp-mixed segfault
  * [64efc53] MT#55283 update redis data after rec/fwd commands
  * [e82c5da] MT#55283 fix redis metadata typo
  * [09ed1d3] MT#55283 store RTCP payload in phc
  * [de961d5] MT#55283 delegate shm refcount to table
  * [c2d53cb] MT#55283 properly support extension SRTP in tester
  * [106050c] MT#55283 extension tests with SRTP
  * [df6ac13] MT#55283 compile fix for older glibc
  * [6b2550c] MT#55283 fix perl warnings
  * [2aed497] MT#55283 check for null return first
  * [8b66f0a] MT#63317 avoid duplicate extmap
  * [5853dcb] MT#63317 move confirmed/kernel flags to stream_fd
  * [8c58130] MT#63317 add a=group tests
  * [facedaf] MT#63317 allow use of void functions for typed HT
  * [2794c88] MT#63317 add inline q_free
  * [60a3637] MT#63317 type safety for free functions
  * [99005e0] MT#63317 use length for empty test
  * [16780ac] MT#63317 support multiple a=group attrs
  * [1f91ce4] MT#63317 support bundle groups
  * [2be254b] MT#55283 set mux-offer when require is set
  * [bc779d0] MT#63317 PT tracking
  * [255754d] MT#55283 support checking receive port in tests
  * [e4f1717] MT#63317 set media/stream from PT
  * [774834d] MT#63317 set media from RTP ext
  * [3ef034a] MT#63317 track extensions by known ID
  * [dbd09db] MT#63317 add bundle tests
  * [871c4c0] MT#63317 support BUNDLE flags
  * [be148a4] MT#63317 ignore bundle groups under force-relay
  * [77776f1] MT#63317 support bundle-accept
  * [e4478fc] MT#63317 print bundle groups for bundled media
  * [455caf2] MT#63317 check if bundled PTs are unique
  * [0cf57f2] MT#63317 check if bundle head is bundled
  * [15dc584] MT#63317 check if streams are matching
  * [12f69ab] MT#63317 share ports/sockets among bundle groups
  * [667056b] MT#63317 skip PT check when MID is in use
  * [56cf28d] MT#63317 tests for Ic9eaaada
  * [78f9c01] MT#63317 generalise functions
  * [4ea2867] MT#63317 support generating MID RTP extension
  * [5a28701] MT#63317 rework RTCP printing code
  * [7f9ed63] MT#63317 support MID RTCP printing
  * [42ca057] MT#63317 fixes for test script
  * [827b6af] MT#63317 kernel support for RTP MID
  * [7ce6a95] MT#63317 tests for Ib3582649474
  * [07a046a] MT#63317 push MID ext to kernel
  * [8cf038e] MT#63317 rework kernel output grouping
